Package be.fgov.ehealth.hubservices.core.v2

# Class OperationContextType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.OperationContextType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class OperationContextType extends Object implements Serializable

Java class for OperationContextType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OperationContextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="operation" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticLinkOperationType"/>
             <element name="recorddatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="author" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType" minOccurs="0"/>
             <element name="proof" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ProofType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperationContextType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestType`
  `getAuthor()`
  Author of the operations, optional to handle case of authentic source e.g.
  `TherapeuticLinkOperationType`
  `getOperation()`
  type of operation : declaration or revocation
  `List<ProofType>`
  `getProoves()`
  proof applied upon the context of declaration or revocation, optional to handle revocation Gets the value of the prooves property.
  `Instant`
  `getRecorddatetime()`
  date and time when the TL is recorded in DB
  `void`
  `setAuthor(RequestType value)`
  Sets the value of the author property.
  `void`
  `setOperation(TherapeuticLinkOperationType value)`
  Sets the value of the operation property.
  `void`
  `setRecorddatetime(Instant value)`
  Sets the value of the recorddatetime property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OperationContextType

    public OperationContextType()

- ## Method Details

  - ### getOperation

    public TherapeuticLinkOperationType getOperation()
    type of operation : declaration or revocation
    Returns:
      possible object is `TherapeuticLinkOperationType`

  - ### setOperation

    public void setOperation(TherapeuticLinkOperationType value)
    Sets the value of the operation property.
    Parameters:
      `value` - allowed object is `TherapeuticLinkOperationType`
    See Also:
      - `getOperation()`

  - ### getRecorddatetime

    public Instant getRecorddatetime()
    date and time when the TL is recorded in DB
    Returns:
      possible object is `String`

  - ### setRecorddatetime

    public void setRecorddatetime(Instant value)
    Sets the value of the recorddatetime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRecorddatetime()`

  - ### getAuthor

    public RequestType getAuthor()
    Author of the operations, optional to handle case of authentic source e.g. gmd
    Returns:
      possible object is `RequestType`

  - ### setAuthor

    public void setAuthor(RequestType value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `RequestType`
    See Also:
      - `getAuthor()`

  - ### getProoves

    public List<ProofType> getProoves()
    proof applied upon the context of declaration or revocation, optional to handle revocation Gets the value of the prooves property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prooves property.

    For example, to add a new item, do as follows:

         getProoves().add(newItem);

    Objects of the following type(s) are allowed in the list `ProofType`

    Returns:
      The value of the prooves property.